local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.SkinningLevelling(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Skinning Levelling Guide")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)



 --[[ Introduction ]]--

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Skinning:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
 --[[ Shadowlands ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shadowlands:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 150")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("For Shadowlands we will need to learn the basic skill of “Shadowlands Skinning” which can be learned from the trainer in Oribos. The next stage would be to start a mass skinning session in which we will be heading over towards the zone of Bastion.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local SLSkinWay = AceGUI:Create("Button")
  SLSkinWay:SetText("Trainer Waypoint")
  SLSkinWay:SetWidth(350)
  scroll:AddChild(SLSkinWay)
  SLSkinWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 42.6 28.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local SLSkinRoute = AceGUI:Create("Button")
  SLSkinRoute:SetText("Route Waypoint")
  SLSkinRoute:SetWidth(350)
  scroll:AddChild(SLSkinRoute) 
  SLSkinRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Bastion 55.1 77.33") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
  
 --[[ Battle For Azeroth ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle For Azeroth:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
 local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 150")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The Skinning trainers can be found in either Boralus or Zandalar which you will learn the basic skinning skills. Take note of this trainer as you will have to make your way back to them for ranking up your skills. The first step for levelling is that you will want to make your way to “Hocking's Plot” which is located in Drustvar.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local BFASkinWayHorde = AceGUI:Create("Button")
  BFASkinWayHorde:SetText("Trainer Waypoint:".." Horde")
  BFASkinWayHorde:SetWidth(350)
  scroll:AddChild(BFASkinWayHorde)
  BFASkinWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Zuldazar 43.8 34.4") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local BFASkinWayAlliance = AceGUI:Create("Button")
  BFASkinWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  BFASkinWayAlliance:SetWidth(350)
  scroll:AddChild(BFASkinWayAlliance)
  BFASkinWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Boralus 75.6 13.4") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local BFASkinRoute = AceGUI:Create("Button")
  BFASkinRoute:SetText("Route Waypoint")
  BFASkinRoute:SetWidth(350)
  scroll:AddChild(BFASkinRoute) 
  BFASkinRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 75 42") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
 local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 2:".."|cffffffff 1 - 175")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving onto this once you must be at least 140 skinning to skin in Nazjatar, however this is where you will learn Dredged Leather Skinning. if you are wanting rank two you will need to obtain “Chum” from Snapdragons in Nazjatar. This is a standard drop and once obtain you will use this to summon “Vor'Koth” (cords: 48.35 24.31 ). you can learn both rank two's for Dredged Leather and Cragscale from him though this might take you a couple of attempts for it to drop off of the boss. Cragscales can be farmed off of the Snapdragons in Nazjatar which is also a good gold farm ( cords: 72.0 48.6 ). ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local BFASkinWayHorde2 = AceGUI:Create("Button")
  BFASkinWayHorde2:SetText("Trainer Waypoint:".." Horde")
  BFASkinWayHorde2:SetWidth(350)
  scroll:AddChild(BFASkinWayHorde2)
  BFASkinWayHorde2:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Zuldazar 43.8 34.4") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local BFASkinWayAlliance2 = AceGUI:Create("Button")
  BFASkinWayAlliance2:SetText("Trainer Waypoint:".." Alliance")
  BFASkinWayAlliance2:SetWidth(350)
  scroll:AddChild(BFASkinWayAlliance2)
  BFASkinWayAlliance2:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Boralus 75.6 13.4") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local BFASkinRoute2 = AceGUI:Create("Button")
  BFASkinRoute2:SetText("Route Waypoint")
  BFASkinRoute2:SetWidth(350)
  scroll:AddChild(BFASkinRoute2) 
  BFASkinRoute2:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 27.8 73.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Legion ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Legion:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 100")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As we make our way into Legion we will want to learn our skill by going over towards the Broken Isles Dalaran and head to the Profession area in the City. We will want to level this similar towards how we levelled Mining and Herbalism in regards to ranks as we will want to go from ranks one to three with  Stonehide Leather and Stormscale.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local LegionSkinWay = AceGUI:Create("Button")
  LegionSkinWay:SetText("Trainer Waypoint")
  LegionSkinWay:SetWidth(350)
  scroll:AddChild(LegionSkinWay)
  LegionSkinWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 35.8 28.8") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local LegionSkinRoute = AceGUI:Create("Button")
  LegionSkinRoute:SetText("Route Waypoint")
  LegionSkinRoute:SetWidth(350)
  scroll:AddChild(LegionSkinRoute) 
  LegionSkinRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Azsuna 37.29 9.7") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 

 --[[ Warlords of Dreanor ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlords of Dreanor:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 100")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto Warlords of Draenor, we will not need to find a profession trainer to learn the skinning skill. You will be able to learn this from a recipe which drops off of mobs in the open world and drops in about three skins of mobs. In regards to this skinning for Wod is low in comparison to other gold farms so we will want to blast through this quite fast. The farm in question to do is in Shadowmoon Valley and what you will be doing here is taking out the Elek's in the area. This will drop Raw Beast Hide and Sumptuous Fur.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local WodSkinRoute = AceGUI:Create("Button")
  WodSkinRoute:SetText("Route Waypoint")
  WodSkinRoute:SetWidth(350)
  scroll:AddChild(WodSkinRoute) 
  WodSkinRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 61.19 39.31") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  
 --[[ Mists of Pandaria ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mists of Pandaria:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 60")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving over to Mists of Pandaria we will want to make our way to the Mr. Pleeb in the Valley of the Four Winds at Nesingwary's Safari to learn our Mists Skinning skill. After this is done we can move over to another amazing gold farm in skinning which we will use for our levelling. Head over to the “Isle of Giant” ( North of Kun-Lai Summit ), here we will want to move around the island slaying all of the dinosaurs. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local MopSkinWay = AceGUI:Create("Button")
  MopSkinWay:SetText("Trainer Waypoint")
  MopSkinWay:SetWidth(350)
  scroll:AddChild(MopSkinWay)
  MopSkinWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Valley of The Four Winds 16.0 83.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local MopSkinRoute = AceGUI:Create("Button")
  MopSkinRoute:SetText("Route Waypoint")
  MopSkinRoute:SetWidth(350)
  scroll:AddChild(MopSkinRoute) 
  MopSkinRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Isle Of Giants 48 75") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Cataclysm ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cataclysm:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("for this you should have noticed that when you were in Stormwind or Orgrimmar that the Vanilla Skinning trainer allowed you to learn cataclysm skinning also so it would be wise to learn that when you learned the vanilla skinning. Once this is done we can make our way over to the raid “Firelands”, this is where you will want to run into the raid and destroy all of the trash mobs inside. However you make note to not slay any of the bosses as this will lock you to the raid so you will not be able to reset the instance and in conjunction the trash mobs.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local CataSkinWayHorde = AceGUI:Create("Button")
  CataSkinWayHorde:SetText("Trainer Waypoint:".." Horde")
  CataSkinWayHorde:SetWidth(350)
  scroll:AddChild(CataSkinWayHorde)
  CataSkinWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 61.0 54.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local CataSkinWayAlliance = AceGUI:Create("Button")
  CataSkinWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  CataSkinWayAlliance:SetWidth(350)
  scroll:AddChild(CataSkinWayAlliance)
  CataSkinWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 67.8 49.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local CataSkinRoute = AceGUI:Create("Button")
  CataSkinRoute:SetText("Route Waypoint")
  CataSkinRoute:SetWidth(350)
  scroll:AddChild(CataSkinRoute) 
  CataSkinRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Mount Hyjal 48 78") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Wrath of the Lich King ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Wrath of the Lich King:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Wrath of the Lich King Skinning, to learn this skill you will need to make your way over to Northrend Dalaran and head to the Profession area to acquire said skill. This expansion can be levelled in about one to two lockouts of the dungeon “The Oculus”. This farm is by far of of the easiest and best skinning farms in Wrath as this will give you a large amount of Borean Leather, Icy Dragonscales and Arctic Fur in a short amount of time ( approx 20 minutes per lockout ).")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local WOTLKSkinWay = AceGUI:Create("Button")
  WOTLKSkinWay:SetText("Trainer Waypoint")
  WOTLKSkinWay:SetWidth(350)
  scroll:AddChild(WOTLKSkinWay)
  WOTLKSkinWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way 35.8 28.8") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local WOTLKSkinRoute = AceGUI:Create("Button")
  WOTLKSkinRoute:SetText("Route Waypoint")
  WOTLKSkinRoute:SetWidth(350)
  scroll:AddChild(WOTLKSkinRoute) 
  WOTLKSkinRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Borean Tundra 29 25") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
 --[[ The Burning Crusade ]]--
 
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125The Burning Crusade:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 75")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Skinning in Outland we will want to learn the basic skinning for the Burning Crusade and this can be found within Shattrath City in the Lower City. However for levelling this profession we have multiple skinning farms we can do but the best farm for Leathers the Boar farm in Blades Edge Mountains")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local TBCSkinWay = AceGUI:Create("Button")
  TBCSkinWay:SetText("Trainer Waypoint")
  TBCSkinWay:SetWidth(350)
  scroll:AddChild(TBCSkinWay)
  TBCSkinWay:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Shattrath City 64.0 65.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
  
  local TBCSkinRoute = AceGUI:Create("Button")
  TBCSkinRoute:SetText("Route Waypoint")
  TBCSkinRoute:SetWidth(350)
  scroll:AddChild(TBCSkinRoute) 
  TBCSkinRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Blade's Edge Mountains 30 60") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
 --[[ Vanilla ]]--

  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vanilla:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
   local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CStep 1:".."|cffffffff 1 - 300")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Vanilla Skinning, to do this we will want to learn the basic skill which can be found in either Stormwind or Orgrimmar depending on your faction. Once this is obtained we will only need one place to farm in order to level up our skinning. This is the Sunken Temple located within The Swamp of Sorrows. In this dungeon you will want to run into the instance and gather up all of the Dragonkin. After defeating them you are able to skin these, though Skinning speed buffs would be required. With this dungeon you will be able to level up you skinning to max in about three lockouts or thirty runs.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local VanillaSkinWayHorde = AceGUI:Create("Button")
  VanillaSkinWayHorde:SetText("Trainer Waypoint:".." Horde")
  VanillaSkinWayHorde:SetWidth(350)
  scroll:AddChild(VanillaSkinWayHorde)
  VanillaSkinWayHorde:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Orgrimmar 61.0 54.6") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
 
  local VanillaSkinWayAlliance = AceGUI:Create("Button")
  VanillaSkinWayAlliance:SetText("Trainer Waypoint:".." Alliance")
  VanillaSkinWayAlliance:SetWidth(350)
  scroll:AddChild(VanillaSkinWayAlliance)
  VanillaSkinWayAlliance:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Stormwind 67.8 49.0") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  local VanillaSkinRoute = AceGUI:Create("Button")
  VanillaSkinRoute:SetText("Route Waypoint")
  VanillaSkinRoute:SetWidth(350)
  scroll:AddChild(VanillaSkinRoute) 
  VanillaSkinRoute:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Swamp of Sorrows 69 57") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)
  
  --- BUTTON ( WAYPOINT ) 
   
  
  
end